import usb
import wx
 
class HelloWorld(wx.Frame):
	def __init__(self):
		wx.Frame.__init__(self,None, wx.ID_ANY,'Hello World !!!')
		#self.helloButton = wx.Button(self,label='Hello World')
		#self.helloButton.Bind(wx.EVT_BUTTON, self.doSomething)

		self.pgbar0 = wx.ProgressDialog("A progress box", "Time remaining", 1024,style=wx.PD_CAN_ABORT|wx.PD_ELAPSED_TIME | wx.PD_REMAINING_TIME)
		self.pgbar1 = wx.ProgressDialog("A progress box", "Time remaining", 1024,style=wx.PD_CAN_ABORT|wx.PD_ELAPSED_TIME | wx.PD_REMAINING_TIME)		
		self.Show(True)
 
	#def doSomething(self,event):
	#	self.helloButton.SetLabel("Clicked")
 
application = wx.PySimpleApp()
window = HelloWorld()
progressMax=1024
keepGoing = True
count = 0
#while keepGoing and count < progressMax:
#    count = count + 1
#    wx.Sleep(0.00001)
#    keepGoing = window.pgbar.Update(count)

#application.MainLoop()

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board=find_board()
if board!=None:
	handle=board.open()
	req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
	while True:
		wx.Sleep(0.001)
		x = handle.controlMsg(req,0,4)
		y = x[1]*256+x[0]		
		print y,
		window.pgbar0.Update(y)
		y = x[3]*256+x[2]		
		print y
		window.pgbar1.Update(y)
		#if y>300:		
		#wx.Sleep(1)
